aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDerek Stevens <nilix@nilfm.cc>2021-05-12 20:50:09 -0600
committerDerek Stevens <nilix@nilfm.cc>2021-05-12 20:50:09 -0600
commit80d5a8db52eed2f354a9053c25be333ca13c8fef (patch)
tree12c4e523ab6f6cfeee6b2dbfd031e47ee4de5c42
parent548f2f7cbad8bb6aaf5b2522b3f8dff9511c7ae6 (diff)
change build system
-rwxr-xr-xbuild.sh6
-rwxr-xr-xinstall.sh20
-rwxr-xr-xmkfile2
3 files changed, 27 insertions, 1 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..74ceeaf
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+mk clean
+mk o.rio
+
+mv o.rio ryudo
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..82ac188
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if [ -z "$PLAN9" ]; then
+ echo "PLAN9 not set;"
+ echo "Please set it to the location of your plan9port installation."
+ exit 1
+fi
+
+if [ $(whoami) != "root" ]; then
+ mkdir -p ~/bin/9
+ cp ryudo ~/bin/9/ryudo
+ echo "ryudo has been installed to '${HOME}/bin/9/';"
+ echo "You may want to add it to your PATH."
+ echo "The manual pages were not installed."
+else
+ cp ryudo $PLAN9/bin/ryudo
+ cp ryudo.1 $PLAN9/man/man1/ryudo.1
+ echo "ryudo has been installed to '${PLAN9}/bin/';"
+ echo "The manual pages have been installed to '${PLAN9}/man/'"
+fi
diff --git a/mkfile b/mkfile
index c4b22d2..052c9a3 100755
--- a/mkfile
+++ b/mkfile
@@ -1,5 +1,5 @@
<$PLAN9/src/mkhdr
-<|sh /usr/lib/plan9/src/cmd/devdraw/mkwsysrules.sh # for X11
+<|sh $PLAN9/src/cmd/devdraw/mkwsysrules.sh # for X11
RIOFILES=\
client.$O\